### Method

# Foundry Debugger interpret

#### Declaration [src]

    DexFuture*
    foundry_debugger_interpret (
      FoundryDebugger* self,
      const char* command
    )

#### Description [src]

Requests that the debugger interpret a command. This is typically the REPL of a debugger and can be used to bridge the normal interpreter of a debugger to the the user.

#### Parameters

`command`

  Type: `const char*`

  The command to interpret.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.